> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reload the specified pipeline

> When changes are made to a pipeline, the pipeline needs to be refreshed (reloaded). A Fusion restart refreshes all pipelines



## OpenAPI

````yaml /api-reference/4.2/service-index-pipelines.json put /index-pipelines/{id}/refresh
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-pipelines
paths:
  /index-pipelines/{id}/refresh:
    put:
      tags:
        - 4.2 Index Pipelines API
      summary: Reload the specified pipeline
      description: >-
        When changes are made to a pipeline, the pipeline needs to be refreshed
        (reloaded). A Fusion restart refreshes all pipelines
      operationId: refreshPipeline
      parameters:
        - name: id
          in: path
          description: The ID of a specific pipeline
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````